//+------------------------------------------------------------------+
//|                                       CloseAllOrdersIfProfit.mq4 |
//|                                    Copyright  2007, fxtrader625 |
//|                                  http://www.forexampletrades.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, fxtrader625"
#property link      "http://www.forexampletrades.com"

//---- input parameters
extern int       TotalProfitLimit = 100;

int start()
{
   // Close all trades if profit limit exceeded
   if (AccountProfit() >= TotalProfitLimit)
   {
      for (int i = OrdersTotal(); i > 0; i--)
      {
         OrderSelect(i-1,SELECT_BY_POS,MODE_TRADES);
         if (OrderType() == OP_BUY)
         {
            OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_BID),3);
         }
         else if (OrderType() == OP_SELL)
         {
            OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_ASK),3);
         }
         else if (OrderType() >= 2)
         {
            OrderDelete(OrderTicket());
         }
      }
   }
   
   return(0);
}
//+------------------------------------------------------------------+

